Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface DomainLogFilterMBean

public interface DomainLogFilterMBean
extends ConfigurationMBean

This MBean represents a filter to qualify log messages which are logged to the domain logfile. A message must qualify all criteria specified to qualify the filter. Multiple instances of this MBean can be defined, if needed. If there are multiple instances, a message must qualify atleast one filter to qualify for the domain logfile.

Field Summary
`static int` | `ALERT`
`static long` | `CACHING_STUB_SVUID`
`static int` | `CRITICAL`
`static int` | `EMERGENCY`
`static int` | `ERROR`
`static int` | `INFO`
`static int` | `NOTICE`
`static int` | `WARNING`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getSeverityLevel()` The minimum severity of a message that this filter forwards to the domain log.
`java.lang.String[]` | `getSubsystemNames()` The subsystems for which this filter can forward messages to the domain log.
`java.lang.String[]` | `getUserIds()` The user IDs for which associated messages are sent to the domain log.
`void` | `setSeverityLevel(int severityLevel)`
`void` | `setSubsystemNames(java.lang.String[] subsystemList)` The subsystems for which this filter can forward messages to the domain log.
`void` | `setUserIds(java.lang.String[] userIdList)` The user IDs for which associated messages are sent to the domain log.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### INFO

    public static final int INFO

### WARNING

    public static final int WARNING

### ERROR

    public static final int ERROR

### NOTICE

    public static final int NOTICE

### CRITICAL

    public static final int CRITICAL

### ALERT

    public static final int ALERT

### EMERGENCY

    public static final int EMERGENCY

Method Detail

### getSeverityLevel

    public int getSeverityLevel()

  The minimum severity of a message that this filter forwards to the domain log. All messages with the specified severity and higher will be sent to the domain log. The ascending order of severities is as follows:
  - `INFO(64)`. Used for reporting normal operations.
  - `WARNING(32)`. A suspicious operation or configuration has occurred but it may not have an impact on normal operation.
  - `ERROR(16)`. A user error has occurred. The system or application is able to handle the error with no interruption, and limited degradation, of service.
  - `NOTICE(8)`. A warning message. A suspicious operation or configuration has occurred which may not affect the normal operation of the server.
  - `CRITICAL(4)`. A system or service error has occurred. The system is able to recover but there might be a momentary loss, or permanent degradation, of service.
  - `ALERT(2)`. A particular service is in an unusable state while other parts of the system continue to function. Automatic recovery is not possible; the immediate attention of the administrator is needed to resolve the problem.
  - `EMERGENCY(1)`. The server is in an unusable state. This severity indicates a severe system failure or panic.

  Default Value: weblogic.logging.Severities.ERROR
  Legal Values: INFO, WARNING, ERROR, NOTICE, CRITICAL, ALERT, EMERGENCY
  See Also:
    `Severities`

### setSeverityLevel

    public void setSeverityLevel(int severityLevel)
                          throws javax.management.InvalidAttributeValueException,
                                 DistributedManagementException

### getSubsystemNames

    public java.lang.String[] getSubsystemNames()

  The subsystems for which this filter can forward messages to the domain log. If no subsystems are chosen, then the filter sends messages from all subsystems.

### setSubsystemNames

    public void setSubsystemNames(java.lang.String[] subsystemList)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  The subsystems for which this filter can forward messages to the domain log. If no subsystems are chosen, then the filter sends messages from all subsystems.

  A dynamic MBean attribute

### getUserIds

    public java.lang.String[] getUserIds()

  The user IDs for which associated messages are sent to the domain log. Every message includes the user ID from the security context in which the message was generated. You can create a filter that forwards only the messages that are associated with one or more user IDs.

  If no IDs are specified, messages from all user IDs can be sent to the domain log.

### setUserIds

    public void setUserIds(java.lang.String[] userIdList)
                    throws javax.management.InvalidAttributeValueException,
                           DistributedManagementException

  The user IDs for which associated messages are sent to the domain log. Every message includes the user ID from the security context in which the message was generated. You can create a filter that forwards only the messages that are associated with one or more user IDs.

  If no IDs are specified, messages from all user IDs can be sent to the domain log.

  A dynamic MBean attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference